<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['ubicacionOriginal']) $ubicacionOriginal=$_GET['ubicacionOriginal']; else $ubicacionOriginal=$_POST['ubicacionOriginal'];
if($_GET['ubicacion']) $ubicacion=$_GET['ubicacion']; else $ubicacion=$_POST['ubicacion'];

$parametros=$_SESSION['parametros'];
$parametros=str_replace($ubicacionOriginal,$ubicacion,$parametros);

$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTALOTESUBICACION#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'].';'.$parametros;

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>Ubicacion original: ".$ubicacionOriginal."</p>";
	echo "<p>Ubicacion: ".$ubicacion."</p>";
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if(!$resultado[0]['Error']) {

	//$items=arreglaArrayPXMobileProxiumResult($resultado);
	$items=$resultado;
	
	//echo "<hr>";
	//print_r($items);

	if( count($items)>1 ) {

		$_SESSION['otrosLotes']=array();
		
		?>
		<p>Lotes de este producto disponibles en la<br>Ubicación <?php echo $ubicacion; ?></p>
		<table class="tablaFormateada">
		<tr>
			<th>Lote</th>
			<th>Stock</th>
			<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
			<th></th>
		</tr>
		<?php
		foreach($items as $contenedor) {
			$_SESSION['otrosContenedores'][]=$contenedor;
			?>
			<tr class="selectorLote" lote="<?php echo $contenedor['Lote']; ?>">
				<td><?php echo $contenedor['Lote']; ?></td>
				<td align="right"><?php echo number_format($contenedor['Stock'],0,',','.'); ?></td>
				<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($contenedor['Stock']/$_SESSION['lineaOrden']['EmbalajePrimarioCaja'],0,',','.'); ?></td><?php } ?>
				<td><img src="<?php echo DIR_IMAGENES; ?>/select.png" alt="Seleccionar" width="50" height="50" class="clicable"/></td>
			</tr>
			<?php
		}
		?>
		</table>
        
	<?php
    }
	else {
		$loteUnico=$resultado[0]['Lote'];
	}
	
	
	
	?>
    
<?php } else { ?>

	<p>No hay Lotes disponibles de este producto en la<br>Ubicación <?php echo $ubicacion; ?></p>

<?php } ?>
    
<p><input type="submit" name="aceptarBusquedaLotes" id="aceptarBusquedaLotes" value="Aceptar" class="boton botonSecundario"/></p>
<script>

$(document).ready(function() {

	<?php if( count($resultado)>1 ) { ?>

	$('.selectorLote').on('click',function(e){
		e.preventDefault();
		var lote=$(this).attr('lote');
		$('#lote').val( lote );
		$('#popupBusquedaLotes').hide();
		$('#cantidad').focus();
	});

	$('#aceptarBusquedaLotes').on('click',function(e){
		e.preventDefault();
		$('#popupBusquedaLotes').hide();
		$('#lote').focus();
	});
	
	<?php } else { ?>
	
	$('#lote').val( '<?php echo $loteUnico; ?>' );
	$('#popupBusquedaLotes').hide();
	$('#cantidad').focus();
	
	<?php } ?>
	
});

</script>